Subject: Re: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 27 Feb 2012 23:11:27 +0100

Stefan Monnier <[email-masked]> writes:

>>> If you don't create "test1" and file-subdir-of-p is unable to handle a
>>> non--existing directory,I don't understand how you want to do.
>> I was saying that files-equal-p returns unexpected results in case both
>> files do not exist. I haven't spoken about file-subdir-of-p.
>
> Exactly.  I don't think noexist is needed for subdir-p (it should accept
> a non-existing dir for the `dir1' argument, without any need for
> a noexist arg and it should reject a non-existing dir2), but I can live
> with it, but file-equal-p only makes sense for existing files and should
> not have a `noexist' argument.
Ah! yes, thats sound good.
Just need to remove check of file-directory-p for dir1 in f-subdir-of-p.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997